.TH VBROWSER 1 "April 3 1996" "Stanford University" "SUIF Compiler"
.SH NAME
vbrowser \- visual browser for SUIF
.SH SYNOPSIS
.B vbrowser
[
.I options
]
{
.I infile
}*
.SH DESCRIPTION
The
.I vbrowser
program gives a powerful graphical user interface to view SUIF files.
The input can be any single SUIF file, or any set of files that
together form a fileset (see
.I linksuif
and the SUIF library reference manual for more information).  If no
input file is given on the command line, the files to be opened will
have to be selected through the ``Open File Set...'' option under
``File'' on the menu bar of the main window.
.PP
The interface is largely self-explanatory.  At start-up, a base window
is opened from which other views of the SUIF file or files may be
opened.  Just start it up on a non-trivial SUIF file and start
experimenting.  It can do even more if the source files and s2c output
(.out.c) files are in the same directory as the SUIF files.  In that
case, you can have source file, SUIF, and output C windows open and
clicking in one will highlight the corresponding code in the other
windows.  Clicking on ``Help'' from the menu bar of the main window
will show a help screen with some more information.
.PP
The
.I vbrowser
needs to find the tcl files for visual_tcl_lib to run.  It looks in
the directory $VISUAL_TCL for these files.  If $VISUAL_TCL is not set,
it uses $SUIFHOME/tcl instead.  Since an ordinary installation puts
the visual_tcl_lib files into $SUIFHOME/tcl, $VISUAL_TCL shouldn't
normally need to be set by the user.
.PP
In addition, at start-up time, vbrowser looks for a configuration file
that is used mainly to set fonts and colors (a standard X windows
resource file).  It looks for (in order):  ``$HOME/.visual.rc'',
``$VISUAL_CONFIG/visual.rc'', ``/usr/local/lib/visual.rc'', and
``$SUIFHOME/$MACHINE/visual.rc''.  As soon as it finds one, it stops
looking for any others.  Note that this allows the user to set
$VISUAL_CONFIG to point to the directory containing the visual.rc file
of choice.  If $VISUAL_CONFIG is not set, $VISUAL_CONFIG/visual.rc
will be omitted from the serach list.  If none of these is found, a
warning is printed, but
.I vbrowser
will still operate normally.  A sample visual.rc is included with the
visual_tcl_lib sub-package, but it is not installed anywhere by
default.
.PP
Note that if you click the right mouse button in the call graph viewer
window, you will get a menu that includes the ``Layout'' option.  The
second choice under the ``Layout'' option is ``Dot''.  That option
uses the external program 
.I dot
to layout the graph -- data is exported to a file, 
.I dot
is run on that file, and then the result is read back in from a file
and used to layout the graph on the screen.  The 
.I dot
program is not a part of a SUIF distribution.  It is part of the Bell
Labs graphviz package.  In order to successfully use this option, you
must install graphviz on your system and make sure the
.I dot
command is in your path.  The graphviz package is available directly
from Bell Labs at ``http://www.research.att.com/orgs/ssr/book/reuse''.
.SH OPTIONS
.TP
.B \-help
Show a help message.
.TP
.B \-sync
Use synchronous mode for display server.
.SH HISTORY
This program was written by Jing Yee Lim.
